Debian Bug report logs - #667375
soqt: ftbfs with GCC-4.7

version graph

Package: src:coin3; Maintainer for src:coin3 is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:39:37 UTC

Severity: serious

Tags: fixed, sid, wheezy

Fixed in version coin3/3.1.3-2.2

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Steve M. Robbins <smr@debian.org>:
Bug#667375; Package soqt. (Tue, 03 Apr 2012 23:39:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Steve M. Robbins <smr@debian.org>. (Tue, 03 Apr 2012 23:39:40 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: soqt: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:12:32 +0000
Package: soqt
Version: 1.5.0-2
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

SbBasic.h:99:5: error: 'cc_debugerror_post' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/soqt_1.5.0-2_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
                 from /usr/include/Inventor/SbLinear.h:44,
                 from ../../../../src/Inventor/Qt/devices/SoQtDevice.h:57,
                 from ../../../../../src/Inventor/Qt/devices/SoQtDevice.cpp:29:
/usr/include/Inventor/C/errors/debugerror.h:59:19: note: 'void cc_debugerror_post(const char*, const char*, ...)' declared here, later in the translation unit
In file included from /usr/include/Inventor/SbVec2f.h:29:0,
                 from /usr/include/Inventor/SbLinear.h:44,
                 from ../../../../src/Inventor/Qt/devices/SoQtDevice.h:57,
                 from ../../../../../src/Inventor/Qt/devices/SoQtDevice.cpp:29:
/usr/include/Inventor/SbBasic.h: In instantiation of 'void SbDividerChk(const char*, Type) [with Type = double]':
/usr/include/Inventor/SbVec2s.h:72:83:   required from here
/usr/include/Inventor/SbBasic.h:99:5: error: 'cc_debugerror_post' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from /usr/include/Inventor/errors/SoDebugError.h:28:0,
                 from /usr/include/Inventor/SbVec2f.h:31,
                 from /usr/include/Inventor/SbLinear.h:44,
                 from ../../../../src/Inventor/Qt/devices/SoQtDevice.h:57,
                 from ../../../../../src/Inventor/Qt/devices/SoQtDevice.cpp:29:
/usr/include/Inventor/C/errors/debugerror.h:59:19: note: 'void cc_debugerror_post(const char*, const char*, ...)' declared here, later in the translation unit
make[10]: *** [SoQtDevice.lo] Error 1
make[10]: Leaving directory `/«PKGBUILDDIR»/build.qt4/src/Inventor/Qt/devices'
make[9]: *** [all] Error 2
make[8]: *** [all-recursive] Error 1
make[7]: *** [all] Error 2
make[6]: *** [all-recursive] Error 1
make[5]: *** [all] Error 2
make[4]: *** [all-recursive] Error 1
make[3]: *** [all] Error 2
make[2]: *** [all-recursive] Error 1
make[1]: *** [all] Error 2
make: *** [build-stamp-qt4] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:52:35 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 667375: 667139 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 13:09:06 GMT) Full text and rfc822 format available.

Information forwarded to Steve M. Robbins <smr@debian.org>:
Bug#667375; Package soqt. (Sun, 13 May 2012 13:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to Steve M. Robbins <smr@debian.org>. (Sun, 13 May 2012 13:09:16 GMT) Full text and rfc822 format available.

Message #14 received at 667375-maintonly@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 667375-maintonly@bugs.debian.org
Subject: Re: Bug#667375: soqt: ftbfs with GCC-4.7
Date: Sun, 13 May 2012 15:06:23 +0200
[Message part 1 (text/plain, inline)]
block 667375 with 667139
thanks

On Tue, 03 Apr 2012 23:12:32 +0000, Matthias Klose wrote:

>                  from /usr/include/Inventor/SbLinear.h:44,
>                  from ../../../../src/Inventor/Qt/devices/SoQtDevice.h:57,
>                  from ../../../../../src/Inventor/Qt/devices/SoQtDevice.cpp:29:
> /usr/include/Inventor/C/errors/debugerror.h:59:19: note: 'void cc_debugerror_post(const char*, const char*, ...)' declared here, later in the translation unit
> In file included from /usr/include/Inventor/SbVec2f.h:29:0,
>                  from /usr/include/Inventor/SbLinear.h:44,
>                  from ../../../../src/Inventor/Qt/devices/SoQtDevice.h:57,
>                  from ../../../../../src/Inventor/Qt/devices/SoQtDevice.cpp:29:
> /usr/include/Inventor/SbBasic.h: In instantiation of 'void SbDividerChk(const char*, Type) [with Type = double]':
> /usr/include/Inventor/SbVec2s.h:72:83:   required from here
> /usr/include/Inventor/SbBasic.h:99:5: error: 'cc_debugerror_post' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
> In file included from /usr/include/Inventor/errors/SoDebugError.h:28:0,
>                  from /usr/include/Inventor/SbVec2f.h:31,
>                  from /usr/include/Inventor/SbLinear.h:44,
>                  from ../../../../src/Inventor/Qt/devices/SoQtDevice.h:57,
>                  from ../../../../../src/Inventor/Qt/devices/SoQtDevice.cpp:29:
> /usr/include/Inventor/C/errors/debugerror.h:59:19: note: 'void cc_debugerror_post(const char*, const char*, ...)' declared here, later in the translation unit
> make[10]: *** [SoQtDevice.lo] Error 1

This looks like #667139 in coin3.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Janis Joplin: Medley
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve M. Robbins <smr@debian.org>:
Bug#667375; Package soqt. (Wed, 23 May 2012 12:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Benencia <rbenencia@linti.unlp.edu.ar>:
Extra info received and forwarded to list. Copy sent to Steve M. Robbins <smr@debian.org>. (Wed, 23 May 2012 12:57:22 GMT) Full text and rfc822 format available.

Message #19 received at 667375@bugs.debian.org (full text, mbox):

From: Raúl Benencia <rbenencia@linti.unlp.edu.ar>
To: 667375@bugs.debian.org
Subject: soqt: diff for NMU version 1.5.0-2.1
Date: Wed, 23 May 2012 09:54:05 -0300
[Message part 1 (text/plain, inline)]
tags 667375 + fixed
thanks

The bug indeed is in coin3, but nevertheless this package can be
compiled by adding the CXXFLAG "-fpermissive". coin3 ftbfs
(#667139) can be workarounded in the same way, but I think the actual
fix should be made by upstream developers.

I've tagged this bug as "fixed" because I don't know if the attached
fix qualifies for a "patch" tag. I would like to read the opinion of a
more experienced developer in this matter.

I've prepared an NMU (it needs sponsoring) for soqt (versioned as
1.5.0-2.1) and uploaded it to mentors.debian.net[0].

Regards.

[0] https://mentors.debian.net/package/soqt
[soqt-1.5.0-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed. Request was from Raúl Benencia <rbenencia@linti.unlp.edu.ar> to control@bugs.debian.org. (Wed, 23 May 2012 12:57:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve M. Robbins <smr@debian.org>:
Bug#667375; Package soqt. (Wed, 23 May 2012 19:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Benencia <rbenencia@linti.unlp.edu.ar>:
Extra info received and forwarded to list. Copy sent to Steve M. Robbins <smr@debian.org>. (Wed, 23 May 2012 19:42:02 GMT) Full text and rfc822 format available.

Message #26 received at 667375@bugs.debian.org (full text, mbox):

From: Raúl Benencia <rbenencia@linti.unlp.edu.ar>
To: 667375@bugs.debian.org
Subject: Compilation against coin3-3.1.3-2.1
Date: Wed, 23 May 2012 16:39:27 -0300
[Message part 1 (text/plain, inline)]
I've tried to build against the new coin3-3.1.3-2.1, but it won't
compile unless -fpermissive flag is set. I guess we should apply the
patch I've sent to workaround this bug (they did this in #667139),
and wait for upstream to really solve the issue.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve M. Robbins <smr@debian.org>:
Bug#667375; Package soqt. (Wed, 23 May 2012 23:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Steve M. Robbins <smr@debian.org>. (Wed, 23 May 2012 23:09:06 GMT) Full text and rfc822 format available.

Message #31 received at 667375@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667139@bugs.debian.org, 667375@bugs.debian.org
Subject: issue is in the coin3 headers
Date: Thu, 24 May 2012 07:06:42 +0800
reassign 667375 src:coin3
thanks

issue is in the coin3 headers (missing include), qmf builds fine with the fixed
header.




Bug reassigned from package 'soqt' to 'src:coin3'. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 23 May 2012 23:09:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions 1.5.0-2. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 23 May 2012 23:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667375; Package src:coin3. (Wed, 23 May 2012 23:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 23 May 2012 23:15:08 GMT) Full text and rfc822 format available.

Message #40 received at 667375@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667139@bugs.debian.org, 667375@bugs.debian.org
Subject: Re: coin3 gcc 4.7 build failure
Date: Thu, 24 May 2012 07:10:45 +0800
[Message part 1 (text/plain, inline)]
so, this is the only fix needed for fixing the gcc-4.7 failures
[coin3.diff (text/plain, attachment)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Wed, 23 May 2012 23:21:08 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Wed, 23 May 2012 23:21:08 GMT) Full text and rfc822 format available.

Message #45 received at 667375-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667375-close@bugs.debian.org
Subject: Bug#667375: fixed in coin3 3.1.3-2.2
Date: Wed, 23 May 2012 23:17:29 +0000
Source: coin3
Source-Version: 3.1.3-2.2

We believe that the bug you reported is fixed in the latest version of
coin3, which is due to be installed in the Debian FTP archive:

coin3_3.1.3-2.2.diff.gz
  to main/c/coin3/coin3_3.1.3-2.2.diff.gz
coin3_3.1.3-2.2.dsc
  to main/c/coin3/coin3_3.1.3-2.2.dsc
libcoin60-dev_3.1.3-2.2_amd64.deb
  to main/c/coin3/libcoin60-dev_3.1.3-2.2_amd64.deb
libcoin60-doc_3.1.3-2.2_all.deb
  to main/c/coin3/libcoin60-doc_3.1.3-2.2_all.deb
libcoin60-runtime_3.1.3-2.2_all.deb
  to main/c/coin3/libcoin60-runtime_3.1.3-2.2_all.deb
libcoin60_3.1.3-2.2_amd64.deb
  to main/c/coin3/libcoin60_3.1.3-2.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667375@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated coin3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 May 2012 22:49:10 +0000
Source: coin3
Binary: libcoin60 libcoin60-dev libcoin60-runtime libcoin60-doc
Architecture: source amd64 all
Version: 3.1.3-2.2
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 libcoin60  - high-level 3D graphics kit implementing the Open Inventor API
 libcoin60-dev - high-level 3D graphics devkit with Open Inventor and VRML97 suppo
 libcoin60-doc - high-level 3D graphics kit with Open Inventor and VRML97 support
 libcoin60-runtime - high-level 3D graphics kit - external data files
Closes: 667375
Changes: 
 coin3 (3.1.3-2.2) unstable; urgency=low
 .
   * Non maintainer upload
   * Stop building with -fpermissive, add missing includes. Closes: #667375.
Checksums-Sha1: 
 04e3dc5a8c971028e3a913413b7340ebe0a2c3aa 1510 coin3_3.1.3-2.2.dsc
 dc34c04a4f179a4d7a4043681fcde4b7a594cc56 4658 coin3_3.1.3-2.2.diff.gz
 5b2146354906df32461239038fbd0d4271839d6c 3065300 libcoin60_3.1.3-2.2_amd64.deb
 62312126f2d6b91f085a0053992583f689e11797 4788402 libcoin60-dev_3.1.3-2.2_amd64.deb
 8336391b7edcca55dd3b5a845f120b7ae7b1e7b0 29990 libcoin60-runtime_3.1.3-2.2_all.deb
 c9d99f8f2b3388241d5d4e3adca1b98905b0de9a 15535828 libcoin60-doc_3.1.3-2.2_all.deb
Checksums-Sha256: 
 4880902058924bf1a3f34cabddc7c1151ade8aaa7ece0f5159ba278d722fb2fb 1510 coin3_3.1.3-2.2.dsc
 843b56298c811fff2fc5541abb4995b914ab8057221411e81004fe0d61b414e8 4658 coin3_3.1.3-2.2.diff.gz
 e80d79662cca2b8a443c43a7b67bc52da742676e7cef85d77b8d6facc0ba25ed 3065300 libcoin60_3.1.3-2.2_amd64.deb
 6681d8ea19197152830368cb603a3a53ca0ead9dd003b7979ed59edb368dd2a7 4788402 libcoin60-dev_3.1.3-2.2_amd64.deb
 6f713bd1021febdda24506e4c0d10a241d274457fbe1dfb2ef20d385c4e85d34 29990 libcoin60-runtime_3.1.3-2.2_all.deb
 92472360f027a100021644944970a573acdac384715f9f44226e1c22a31b8c5f 15535828 libcoin60-doc_3.1.3-2.2_all.deb
Files: 
 79d16211ac36cef2c3be9e8714ec1e79 1510 graphics optional coin3_3.1.3-2.2.dsc
 5c9b8f60ab2158375c3725d454d5f5ca 4658 graphics optional coin3_3.1.3-2.2.diff.gz
 554b9f1af0193c4f71b0661de010f126 3065300 libs optional libcoin60_3.1.3-2.2_amd64.deb
 4c3cb5cdc5e5e49b108c0a8fbf325bdb 4788402 libdevel optional libcoin60-dev_3.1.3-2.2_amd64.deb
 b1a56b65891b9b95974dc7fdd0ab95fb 29990 libs optional libcoin60-runtime_3.1.3-2.2_all.deb
 d26bc77131da94963843720ce3cf4d16 15535828 doc optional libcoin60-doc_3.1.3-2.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+9bB0ACgkQStlRaw+TLJyNiwCfajPNgeuFhnLPI19PvmkuZmDf
UI8AniRgi1YHN9yrG0o0uql7Qs8wWgkV
=J6uA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Jul 2012 07:49:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:11:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.